Package: groovy.xml

## [Java] Class NamespaceBuilder

- groovy.xml.NamespaceBuilder

- A helper class for creating namespaces for GroovyMarkup

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NamespaceBuilder (BuilderSupport builder)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `NamespaceBuilderSupport` | `declareNamespace(Map ns)`
    `` | `NamespaceBuilderSupport` | `namespace(String uri)`
    `` | `NamespaceBuilderSupport` | `namespace(String uri, String prefix)`
    `` | `static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder, String uri)`
    `` | `static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder)`
    `` | `static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder, String uri, String prefix)`
    `` | `static NamespaceBuilderSupport` | `newInstance(Map nsMap, BuilderSupport builder)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public NamespaceBuilder(BuilderSupport builder)

  - ### Method Detail

    - #### public NamespaceBuilderSupport declareNamespace(Map ns)

    - #### public NamespaceBuilderSupport namespace(String uri)

    - #### public NamespaceBuilderSupport namespace(String uri, String prefix)

    - #### public static NamespaceBuilderSupport newInstance(BuilderSupport builder, String uri)

    - #### public static NamespaceBuilderSupport newInstance(BuilderSupport builder)

    - #### public static NamespaceBuilderSupport newInstance(BuilderSupport builder, String uri, String prefix)

    - #### public static NamespaceBuilderSupport newInstance(Map nsMap, BuilderSupport builder)